package com.bonus.sgzb.base.service.impl;

import com.bonus.sgzb.base.domain.BmUnitType;
import com.bonus.sgzb.base.mapper.BmUnitTypeMapper;
import com.bonus.sgzb.base.service.IBmUnitTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 单位类型bm_unit_type（同数据字典合并）Service业务层处理
 * 
 * @author bonus
 * @date 2023-12-11
 */
@Service
public class BmUnitTypeServiceImpl implements IBmUnitTypeService
{
    @Autowired
    private BmUnitTypeMapper bmUnitTypeMapper;

    /**
     * 查询单位类型bm_unit_type（同数据字典合并）
     * 
     * @param typeId 单位类型bm_unit_type（同数据字典合并）主键
     * @return 单位类型bm_unit_type（同数据字典合并）
     */
    @Override
    public BmUnitType selectBmUnitTypeByTypeId(String typeId)
    {
        return bmUnitTypeMapper.selectBmUnitTypeByTypeId(typeId);
    }

    /**
     * 查询单位类型bm_unit_type（同数据字典合并）列表
     * 
     * @param bmUnitType 单位类型bm_unit_type（同数据字典合并）
     * @return 单位类型bm_unit_type（同数据字典合并）
     */
    @Override
    public List<BmUnitType> selectBmUnitTypeList(BmUnitType bmUnitType)
    {
        return bmUnitTypeMapper.selectBmUnitTypeList(bmUnitType);
    }
    /**
     * 查询单位类型bm_unit_type（同数据字典合并）列表
     *
     * @param bmUnitType 单位类型bm_unit_type（同数据字典合并）
     * @return 单位类型bm_unit_type（同数据字典合并）
     */
    @Override
    public List<BmUnitType> selectTypeList(BmUnitType bmUnitType)
    {
        return bmUnitTypeMapper.selectTypeList(bmUnitType);
    }
    /**
     * 新增单位类型bm_unit_type（同数据字典合并）
     * 
     * @param bmUnitType 单位类型bm_unit_type（同数据字典合并）
     * @return 结果
     */
    @Override
    public int insertBmUnitType(BmUnitType bmUnitType)
    {

        return bmUnitTypeMapper.insertBmUnitType(bmUnitType);
    }

    /**
     * 修改单位类型bm_unit_type（同数据字典合并）
     * 
     * @param bmUnitType 单位类型bm_unit_type（同数据字典合并）
     * @return 结果
     */
    @Override
    public int updateBmUnitType(BmUnitType bmUnitType)
    {
        return bmUnitTypeMapper.updateBmUnitType(bmUnitType);
    }

    /**
     * 修改单位状态bm_unit_type（同数据字典合并）
     *
     * @param typeId 单位状态bm_unit_type（同数据字典合并）
     * @return 结果
     */
    @Override
    public int update(String typeId)
    {
        BmUnitType s =bmUnitTypeMapper.selectBmUnitTypeByTypeId(typeId);
        if ("0".equals(s.getStatus())){
            return  bmUnitTypeMapper.update(typeId);
        }else {
            return  bmUnitTypeMapper.updates(typeId);
        }
    }
    /**
     * 批量删除单位类型bm_unit_type（同数据字典合并）
     * 
     * @param typeIds 需要删除的单位类型bm_unit_type（同数据字典合并）主键
     * @return 结果
     */
    @Override
    public int deleteBmUnitTypeByTypeIds(Long[] typeIds)
    {
        return bmUnitTypeMapper.deleteBmUnitTypeByTypeIds(typeIds);
    }

    /**
     * 删除单位类型bm_unit_type（同数据字典合并）信息
     * 
     * @param typeId 单位类型bm_unit_type（同数据字典合并）主键
     * @return 结果
     */
    @Override
    public int deleteBmUnitTypeByTypeId(Long typeId)
    {
        return bmUnitTypeMapper.deleteBmUnitTypeByTypeId(typeId);
    }
}
